Subject: Re: bug#15418: 24.3.50; RCS annotate broken in vc-rcs.el r114131

From: Richard Copley <[email-masked]>
Date: Wed, 6 Nov 2013 11:19:02 +0000

On 6 November 2013 10:56, Richard Copley <[email-masked]> wrote:

> Thanks. I rebuilt Emacs from trunk r114733 to test. `vc-annotate' no
> longer signals an error, but neither does it work correctly. For
> non-trivial master files, many lines are wrongly attributed to revision 1.1.
>

Oops, sorry. I was testing the wrong version (because I didn't notice that
my build had failed).

I've tested again by loading the new version of vc-rcs.el. I think it works
perfectly now. I ran `vc-annotate' on a large, complex master file using
vc-rcs.el revisions 112756 (before lexical-bindings) and 114977 (latest
revision) and got exactly the same results from both versions.

Thanks.